{% extends 'base_admin.html.twig' %}

{% block title %} tableau de bord Genres{% endblock %}

{% block body %}
    <section id="genres-index" class="container-fluid">
	    <section class="container">
			<header class="row">
				<div class="col-12">	
                    <h1 class="service">Liste Genres</h1>
                </div>
            </header>
            <div class="row">
                <div class="col-12">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Genre</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for genre in genres %}
                            <tr>
                                <td data-label="Id">{{ genre.id }}</td>
                                <td data-label="Genre">{{ genre.name }}</td>
                                <td data-label="Actions">
                                    <a href="{{ path('genres_show', {'id': genre.id}) }}">voir</a>
                                    <a href="{{ path('genres_edit', {'id': genre.id}) }}">Mettre à Jour</a>
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="3">pas d'enregistrement trouvé</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                    <a href="{{ path('genres_new') }}">Nouveau Genre</a>
                </div>
            </div>
        </section>
    </section>      
{% endblock %}

{% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
{% endblock %}  
